Skip to navigation

Delete a training event and its associated NGC user group

View as Markdown

Deletes a training event. This will also delete the NGC external user group (EUG). Since only the creator of the EUG may delete it, only the instructor of the training may delete the training.

Required roles (all): air_instructor, air_org_admin, user_admin

Additional permissions:

  • Only the instructor who created this training may perform this action.
  • The client must have the NCA ‘Administrator’ role set in the NCA account associated with the NGC Organization.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this training.

Response

No response body

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error